Get Statement
curl --request GET \
--url https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.wepayout.com.br/v2/account/{merchantId}/statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 12345,
"entity": "payin_transaction",
"entity_id": 67890,
"impact_balance": "available",
"category": {
"id": 1,
"name": "PIX Payment"
},
"amount": 100.50,
"available_balance": 1500.00,
"balance": 1500.00,
"reserve_balance": 0.00,
"invoice": "INV-12345",
"description": "Payment received",
"occurrence_at": "2024-01-15T10:30:00-03:00",
"created_at": "2024-01-15T10:30:00-03:00"
},
{
"id": 12346,
"entity": "payin_transaction_creditcard_fee",
"entity_id": 67890,
"impact_balance": "available",
"category": {
"id": 8,
"name": "PIX Fee"
},
"amount": -2.50,
"available_balance": 1497.50,
"balance": 1497.50,
"reserve_balance": 0.00,
"invoice": null,
"description": "PIX transaction fee",
"occurrence_at": "2024-01-15T10:30:00-03:00",
"created_at": "2024-01-15T10:30:00-03:00"
}
]
{
"error": "Invalid parameters"
}
{
"error": "Internal server error"
}
Account
Get Statement
Retrieve account statement with transaction history
GET
/
v2
/
account
/
{merchantId}
/
statement
Get Statement
Path Parameters
string
required
Merchant ID
Query Parameters
string
Specific statement ID
string
Filter by entity typeAllowed values:
payout_merchant_note, payout_deposit, payout_transaction, payout_data_qualification, payin_transaction, payin_transaction_split, payin_transaction_creditcard, payin_transaction_creditcard_fee, payin_transaction_creditcard_split, payin_transaction_creditcard_installment, payin_transaction_creditcard_installment_fee, payin_transaction_creditcard_installment_split, payin_transaction_creditcard_installment_parent_split, payin_transaction_creditcard_parent_split_fee, payin_withdrawal, payin_transaction_refund, payin_transaction_rolling_reserve, payout_pix_reversal,string
Category IDs separated by commaExample:
1,8,9string
Filter by billing usage
string
Initial creation date (format: YYYY-MM-DD)Example:
2024-01-01string
Final creation date (format: YYYY-MM-DD)Example:
2024-01-31string
Initial occurrence date (format: YYYY-MM-DD)Example:
2024-01-01string
Final occurrence date (format: YYYY-MM-DD)Example:
2024-01-31string
Recipient ID
string
CurrencyAllowed values:
USD, AUD, EUR, BRL, GBP, CAD, CHFRequired: Must provide
created_after/created_before OR occurrence_after/occurrence_before OR idinteger
Page number
integer
Quantity of items per page
Response Headers
string
Next page number
string
Current page number
string
Total items per page
string
Previous page number
string
Total count of records
string
Boolean indicating if results exist
string
Total pages
Response Body
array
Array of statement entries
Show Statement Entry
Show Statement Entry
integer
Statement ID
string
Entity typePossible values:
payout_merchant_note, payout_deposit, payout_transaction, payout_data_qualification, payin_transaction, payin_transaction_split, payin_transaction_creditcard, payin_transaction_creditcard_fee, payin_transaction_creditcard_split, payin_transaction_creditcard_installment, payin_transaction_creditcard_installment_fee, payin_transaction_creditcard_installment_split, payin_transaction_creditcard_installment_parent_split, payin_transaction_creditcard_parent_split_fee, payin_withdrawal, payin_transaction_refund, payin_transaction_rolling_reserve, payout_pix_reversal,integer
Entity identifier
string
How transaction impacts balance (e.g.,
available, reserve, both)number
Transaction amount (positive for credit, negative for debit)
number | null
Available balance after transaction
number | null
Total balance after transaction
number | null
Reserve balance after transaction
string | null
Invoice reference
string | null
Transaction description
string
When the transaction occurred (ISO 8601 format)
string
When the statement entry was created (ISO 8601 format)
[
{
"id": 12345,
"entity": "payin_transaction",
"entity_id": 67890,
"impact_balance": "available",
"category": {
"id": 1,
"name": "PIX Payment"
},
"amount": 100.50,
"available_balance": 1500.00,
"balance": 1500.00,
"reserve_balance": 0.00,
"invoice": "INV-12345",
"description": "Payment received",
"occurrence_at": "2024-01-15T10:30:00-03:00",
"created_at": "2024-01-15T10:30:00-03:00"
},
{
"id": 12346,
"entity": "payin_transaction_creditcard_fee",
"entity_id": 67890,
"impact_balance": "available",
"category": {
"id": 8,
"name": "PIX Fee"
},
"amount": -2.50,
"available_balance": 1497.50,
"balance": 1497.50,
"reserve_balance": 0.00,
"invoice": null,
"description": "PIX transaction fee",
"occurrence_at": "2024-01-15T10:30:00-03:00",
"created_at": "2024-01-15T10:30:00-03:00"
}
]
{
"error": "Invalid parameters"
}
{
"error": "Internal server error"
}
Transaction Categories
The statement includes various transaction categories. Use the category ID when filtering:| ID | Name | Description |
|---|---|---|
| 1 | PIX Payment | PIX payment received |
| 2 | PIX Reversal | PIX payment reversal |
| 3 | TED Payment | TED transfer payment |
| 4 | TED Reversal | TED transfer reversal |
| 5 | Transfer Between WE Accounts | Internal transfers between WE accounts |
| 6 | Transfer | General transfers |
| 7 | Boleto Payment | Boleto payment received |
| 8 | PIX Fee | PIX transaction fee |
| 9 | Boleto Fee | Boleto transaction fee |
| 10 | TED Fee | TED transfer fee |
| 11 | Merchant Note Settlement | Settlement entry |
| 12 | Merchant Note Tax | Tax entry |
| 13 | Merchant Note Generic | Generic merchant note |
| 14 | Transfer Fee | Transfer transaction fee |
| 15 | Others | Other transactions |
| 16 | Rolling Reserve | Rolling reserve |
| 17 | Credit Card Transaction | Credit card payment |
| 18 | Credit Card Fee | Credit card fee |
| 51 | Merchant Note Judicial Freeze | Judicial freeze |
| 52 | PIX Refund | PIX refund |
| 53 | Markup | Markup fee |
| 54 | Current Balance | Current balance |
| 55 | Conversion Fee | Conversion Fee |
?category_id=1,8Was this page helpful?

